Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZDebug Member List

This is the complete list of members for eZDebug, including all inherited members.

$AlwaysLog | eZDebug |
$bottomReportsList | eZDebug |
$DebugStrings | eZDebug |
$GlobalLogFileEnabled | eZDebug |
$HandleType | eZDebug |
$LogFileEnabled | eZDebug |
$LogFiles | eZDebug |
$MessageNames | eZDebug |
$MessageOutput | eZDebug |
$MessageTypes | eZDebug |
$OldHandler | eZDebug |
$OutputFormat | eZDebug |
$OverrideList | eZDebug |
$PercentAccuracy | eZDebug |
$recursionFlag | eZDebug | private
$ScriptStart | eZDebug |
$ScriptStop | eZDebug |
$ShowTypes | eZDebug |
$StoreLog | eZDebug |
$TimeAccumulatorGroupList | eZDebug |
$TimeAccumulatorList | eZDebug |
$TimePoints | eZDebug |
$TimingAccuracy | eZDebug |
$TmpTimePoints | eZDebug |
$topReportsList | eZDebug |
$UseCSS | eZDebug |
__construct() | eZDebug |
accumulatorStart( $key, $inGroup=false, $name=false, $recursive=false) | eZDebug | static
accumulatorStop( $key, $recursive=false) | eZDebug | static
addTimingPoint( $description="") | eZDebug | static
alwaysLogMessage( $level) | eZDebug | static
appendBottomReport( $reportName, $reportContent) | eZDebug | static
appendTopReport( $reportName, $reportContent) | eZDebug | static
checkDebugByUser() | eZDebug | static
createAccumulator( $key, $inGroup=false, $name=false) | eZDebug | static
createAccumulatorGroup( $key, $name=false) | eZDebug | static
dumpVariable( $var) | eZDebug | private static
errorHandler( $errno, $errstr, $errfile, $errline) | eZDebug |
exceptionErrorHandler( $errno, $errstr, $errfile, $errline) | eZDebug | static
HANDLE_EXCEPTION | eZDebug |
HANDLE_FROM_PHP | eZDebug |
HANDLE_NONE | eZDebug |
HANDLE_TO_PHP | eZDebug |
instance() | eZDebug | static
isAllowedByCurrentIP( $allowedIpList) | eZDebug | private static
isDebugAllowed() | eZDebug |
isDebugEnabled() | eZDebug | static
isGlobalLogFileEnabled() | eZDebug |
isIPInNet( $ipaddress, $network, $mask=24) | eZDebug | static
isIPInNetIPv6( $ipAddress, $ipAddressRange) | eZDebug | private static
isLogFileEnabled( $type) | eZDebug |
isLogOnlyEnabled() | eZDebug | static
LEVEL_DEBUG | eZDebug |
LEVEL_ERROR | eZDebug |
LEVEL_NOTICE | eZDebug |
LEVEL_STRICT | eZDebug |
LEVEL_TIMING_POINT | eZDebug |
LEVEL_WARNING | eZDebug |
logFiles() | eZDebug |
MAX_LOGFILE_SIZE | eZDebug |
MAX_LOGROTATE_FILES | eZDebug |
maxLogrotateFiles() | eZDebug | static
maxLogSize() | eZDebug | static
messageName( $messageType) | eZDebug |
messageTypes() | eZDebug |
OUTPUT_MESSAGE_SCREEN | eZDebug |
OUTPUT_MESSAGE_STORE | eZDebug |
packedToBin( $packedIPAddress) | eZDebug | private static
printBottomReportsList( $as_html=true) | eZDebug | static
printReport( $newWindow=false, $as_html=true, $returnReport=false, $allowedDebugLevels=false, $useAccumulators=true, $useTiming=true, $useIncludedFiles=false) | eZDebug | static
printReportInternal( $as_html=true, $returnReport=true, $allowedDebugLevels=false, $useAccumulators=true, $useTiming=true, $useIncludedFiles=false) | eZDebug | private
printTopReportsList() | eZDebug | static
recursionProtectErrorHandler( $errno, $errstr, $errfile, $errline) | eZDebug |
reset() | eZDebug |
rotateLog( $fileName) | eZDebug | static
setHandleType( $type) | eZDebug | static
setIsGlobalLogFileEnabled( $enabled) | eZDebug |
setIsLogFileEnabled( $type, $enabled) | eZDebug |
setLogFileEnabled( $enabled, $types=false) | eZDebug | static
setLogOnly( $enabled) | eZDebug |
setLogrotateFiles( $files) | eZDebug | static
setMaxLogSize( $size) | eZDebug | static
setMessageOutput( $output) | eZDebug |
setScriptStart( $time=false) | eZDebug | static
setScriptStop( $time=false) | eZDebug | static
setStoreLog( $store) | eZDebug |
setUseExternalCSS( $use) | eZDebug | static
SHOW_ALL | eZDebug |
SHOW_DEBUG | eZDebug |
SHOW_ERROR | eZDebug |
SHOW_NOTICE | eZDebug |
SHOW_STRICT | eZDebug |
SHOW_TIMING_POINT | eZDebug |
SHOW_WARNING | eZDebug |
showMessage( $type) | eZDebug | static
showTypes( $types=false) | eZDebug | static
updateSettings( $settings) | eZDebug | static
write( $string, $verbosityLevel=self::LEVEL_NOTICE, $label="", $backgroundClass="", $alwaysLog=false) | eZDebug | private
writeDebug( $string, $label="", $backgroundClass="") | eZDebug | static
writeError( $string, $label="", $backgroundClass="") | eZDebug | static
writeFile(&$logFileData, &$string, $verbosityLevel, $alwaysLog=false) | eZDebug | private
writeNotice( $string, $label="", $backgroundClass="") | eZDebug | static
writeStrict( $string, $label="", $backgroundClass="") | eZDebug | static
writeWarning( $string, $label="", $backgroundClass="") | eZDebug | static
XDEBUG_SIGNATURE | eZDebug |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.